漏洞信息详情

KDE kdeLibs和KAuth 安全漏洞

  • CNNVD编号:CNNVD-201705-780
  • 危害等级: 高危
  • CVE编号: CVE-2017-8422
  • 漏洞类型: 权限许可和访问控制问题
  • 发布时间: 2017-05-17
  • 威胁类型: 本地
  • 更新时间: 2019-10-23
  • 厂        商: kde
  • 漏洞来源: Sebastian Krahmer

漏洞简介

KDE kdeLibs和KAuth都是KDE社区的产品。kdeLibs是一个创建在Qt框架之上用于开发KDE软件的KDE API参考库;KAuth是一个跨平台的认证API。

KDE kdelibs 4.14.32之前的版本和KAuth 5.34之前的版本中存在安全漏洞。本地攻击者可通过伪造调用者ID借助特制的调用利用该漏洞获取root权限。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:

https://www.kde.org/info/security/advisory-20170510-1.txt

参考网址

来源:CONFIRM

链接:https://bugzilla.redhat.com/show_bug.cgi?id=1449647

来源:www.kde.org

链接:https://www.kde.org/info/security/advisory-20170510-1.txt

来源:BID

链接:https://www.securityfocus.com/bid/98412

来源:DEBIAN

链接:https://www.debian.org/security/2017/dsa-3849

来源:SECTRACK

链接:http://www.securitytracker.com/id/1038480

来源:CONFIRM

链接:https://cgit.kde.org/kauth.git/commit/?id=df875f725293af53399f5146362eb158b4f9216a

来源:EXPLOIT-DB

链接:https://www.exploit-db.com/exploits/42053/

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2017/05/10/3

来源:CONFIRM

链接:https://cgit.kde.org/kdelibs.git/commit/?id=264e97625abe2e0334f97de17f6ffb52582888ab

来源:REDHAT

链接:https://access.redhat.com/errata/RHSA-2017:1264

来源:GENTOO

链接:https://security.gentoo.org/glsa/201706-29

来源:www.securityfocus.com

链接:https://www.securityfocus.com/bid/98412

受影响实体

漏洞信息快速查询

相关漏洞

更多